%This script allows the simulation of an active suspension in a plane 
%channel. Parameters must be set in the AVShearPDE.m function, boundary 
%conditions in the BoundaryCond.m function and initial conditions in the 
%InitialCond.m function. 
%You can find an introduction into pdepe here:
%https://mathworks.com/help/matlab/ref/pdepe.html

%Planar symmetry for pdepe.m
m=0;
%1D-grid
y=linspace(0,1,200);
%Time-steps
t=linspace(0,300,1000);
%Start simulation
sol = pdepe(m,@AVShearPDE,@InitialCond,@BoundaryCond,y,t);
%Plot
plotSolution(sol,y,t);
%Note: it is possible to safe videos and surface-plots using the functions
%plotSolutionVideo(sol,y,t) and plotSolutionSurf(sol,y,t)